Bug 35275 - Presentation/Impress "fit to printable page" involuntary edge crop error, depending on hardware...
Summary: Presentation/Impress "fit to printable page" involuntary edge crop error, dep...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2011-03-13 10:31 UTC by ade
Modified: 2019-12-04 13:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ade 2011-03-13 10:31:44 UTC
Presentation/Impress printing now involuntary crops away edges of slides. Selecting "Fit to Paper size" partly mitigates but does not solve the problem. 

Reproduce bug: Create a blank presentation, add some text at the very top and very bottom of the first page and then try printing it. Is the text cropped?

One hypothesis is that the "fit to paper" output isn't properly centered. Because cropping after "fit to paper" is applied occurs at the top edge.

Last release without this bug: OO 3.2

screenshots of the problem and more details here:
http://user.services.openoffice.org/en/forum/viewtopic.php?f=10&t=37807
Comment 1 ade 2011-03-29 15:20:31 UTC
Do I just wait for a confirmation of this bug? Or need one take action in some other way to get it recognized? I have never submitted a bug here before so fill me in on the procedure. Hope I'm not just talking out into the void.
Comment 2 Cor Nouws 2011-04-04 14:11:56 UTC
Hi Ade,

Thanks for the report.
I cannot reproduce it, well, not as a logic bug.

1. create a one slide presentation (28*21 cm in my case)
   text on top/bottom as you write
2. file print
3. choose Slide
 > text top/bottom is not fully printed because of margins my printer has.
Simple...
The same on OOo 3.2.1

The option "Fit to 'printable page'" does not help for me.
The same on OOo 3.2.1

What does help, is choosing print Handout, 1 slide/page.

So... maybe I do not get your problem right?
Comment 3 ade 2011-04-05 01:56:02 UTC
Hi Cor Nouws, 

I'm not sure what you mean by "logic bug". Please clarify. From the rest of your reply ("The same on OOo 3.2.1") it sounds as if you can reproduce the bug.

I've tested with LibreOffice 3.3.2 portable: the bug remains.

I don't want to use Handout print mode because that adds a lot of whitespace. I want to print all and only the slide ( print menu > general tab > print document: Slides )
Comment 4 ade 2011-04-13 14:16:19 UTC
This is the one month anniversery of this bug! I still don't have a clue if it has been read by a developer and if it has been rated for importance and if there is some target for when to fix it. (Cor Nouws: I don't know if you are a regular end user like me or a developer.) I now strongly suspect that I have  missed some important step in how to properly file a bug. Should I email somewhere and notify about the bug report? Should I look somewhere else for information on if the bug is looked into and what is about to be done about it? Is there some blog where people coding on the Impress part of Libre Office communicate and where I should post a comment about this problem? I really want the bug fixed so I'm eager to hear any thoughts on what I could do.
Comment 5 Cor Nouws 2011-04-13 14:22:51 UTC
Ade, as I tried to explain in my comment 2: I do not understand your problem.
What I understand from what you write, is the behaviour that I expect: " text top/bottom is not fully printed because of margins my printer has. "
Comment 6 ade 2011-04-13 15:33:22 UTC
Hi Cor Nouws, the problem is that the feature "fit to print" does not fit to print.

Instead, it crops text at the top edge. One hypothesis is that the "fit to paper" output isn't properly centered.

The problem is illustrated by the second screenshot posted here (it shows the cropped text in the top margin when printing to a virtual printer with "fit to print" enabled):
http://user.services.openoffice.org/en/forum/viewtopic.php?f=10&t=37807
Comment 7 ade 2011-04-13 15:41:22 UTC
Sorry, I misnamed the feature: "fit to printable page" it is. 

Similar features are common in pdf viewers, image editors, and so on. They always do the same thing: shrink the content enough for it all to fit onto a page when printing. That was also how Impress worked up until 3.2. I've been using that feature very often at work for years.
Comment 8 Cor Nouws 2011-04-14 05:53:13 UTC
hi ade, OK thanks, now it looks I get a better understanding. Will check this later in the evening!
Comment 9 Cor Nouws 2011-04-19 23:15:23 UTC
[ just to let you know that I did not fully forget - just coverd under a pile of ... ]
Comment 10 Cor Nouws 2011-04-27 00:08:59 UTC
Hi ade,
'Fit to printable page' indeed has no effect.

For the record: the problem is there in OOo 321 and 311 too (which is opposite of http://openoffice.org/bugzilla/show_bug.cgi?id=116694 which says that OOo 321 does respect the setting. Well, not for me.)

Maybe we can ask the devs if this can be considered an 'easy hack'?
Comment 11 ade 2011-04-30 00:23:41 UTC
Hi Cor Nouws, sounds good. But I'm not familiar with how to ask the devs. Email to some list? If you know, please proceed.
Comment 12 ade 2011-05-14 16:46:28 UTC
From what I can read, there is no mentioning of a fix for this bug in the 3.4 betas. ( http://wiki.documentfoundation.org/ReleaseNotes/3.4 ; http://archive.sunet.se/pub/Office/tdf/libreoffice/src/bugfixes-libreoffice-3-4-release-3.3.99.4.log ). 

Does this mean that the possibility for a fix in the next release is lost?
Comment 13 Cor Nouws 2011-05-15 02:45:29 UTC
(In reply to comment #11)
> But I'm not familiar with how to ask the devs. Email
> to some list? If you know, please proceed.

The easy hacks are gathered here
  http://wiki.documentfoundation.org/Development/Easy_Hacks

You can simply write to the dev-list, ask if they consider this bug an easy hack and it is OK that you add it to the easy hacks page.

Pls read this before mailing the devs ;-) :
  http://wiki.documentfoundation.org/Development/Use_of_MailList
Comment 14 Cor Nouws 2011-05-15 02:49:00 UTC
(In reply to comment #12)

> Does this mean that the possibility for a fix in the next release is lost?

At any time, when a developer comes with a patch, he can ask integration in the code.
However, changes for 3.4.0 are very low: the closer the release date is, the more double-checks are needed. And of course it depends of the complexity of the patch.

On the other side: if someone comes up with a patch soon, integration in 3.4.1 would be rather easy.

But of course, key is someone providing a patch...
Comment 15 ade 2011-07-23 02:10:01 UTC
The problem remains in LibreOffice 3.4.2 RC2
Comment 16 ade 2011-08-24 08:36:03 UTC
The bug is still there in 3.4.3 RC1
Comment 17 ade 2011-11-17 12:00:07 UTC
The problem is still as frustatingly present in Libre Office 3.4.4.

The only present workaround is this: create your presentation in 3.4.4. Save it. Download a copy of Open Office 3.2 from Portable Apps. Run it, wait for it to load. Load the file and print it. Close it and start the file in 3.4.4 again. If you print drafts while working then that process becomes really tedious.
Comment 18 Björn Michaelsen 2011-12-23 11:42:57 UTC Comment hidden (obsolete)
Comment 19 ade 2011-12-26 10:13:53 UTC
I verify that the bug remains in LO 3.5 beta2
Comment 20 ade 2012-01-29 16:32:55 UTC
I verify that the bug remains in LO 3.5 RC2
Comment 21 Cor Nouws 2012-01-31 07:27:37 UTC
will ask myself about possibly 'easy hack' thing
set importance to reasonable values ..
reset version to the one for with the bug was initially filed (what the field is for).
Comment 22 ade 2012-02-09 13:11:09 UTC
I verify that the bug remains in LO 3.5 RC3
Comment 23 ade 2012-02-16 14:12:14 UTC
The bug made it into the 3.5 release.

Anyone who can track down details on exactly what in the code causes the problem would be of great help here.

Given that the bug is soon one year old I also request information on other venues for contact with any active developer on Impress who might be able to solve this. Details on who submitted the code that introduced the bug could also be useful. Then that person could be contacted with some questions on this bug.
Comment 24 ade 2012-03-09 16:35:41 UTC
The bug is there in 3.5.1 RC2
Comment 25 ade 2012-04-08 14:07:34 UTC
THE BUG IS FIXED in 3.5.2 final! 

I can't find any details on the fix or who fixed it. But whoever that person is thank you thank you, you are awesome! :-)
Comment 26 ade 2012-08-09 12:54:51 UTC
The bug was not fixed in 3.5.2 final as some subsequent testing showed. I basically gave up on Impress after that and switched to Microsoft Powerpoint for productive use. 

But today i tried out the new LibreOffice 3.6. The bug is still there. 17 months and counting since the first bug report.
Comment 27 ign_christian 2013-06-13 12:28:04 UTC
Hi ade

I did short testing with LO 4.0.4.1 (Win7 32bit) & print with 'Fit to printable page' using PDFcreator. And it works..
Could you please test again using LO 4.0.3.3 or 4.0.4.2 ?
Comment 28 ade2 2013-06-22 09:46:18 UTC
@ign_christian : the bug happens only when printing to some printer and/or pdf makers. Printing to Adobe PDF (part of acrobat) does not produce cropped edges. But printing directly to various laser printers (I've tried a few from HP and one from Samsung) does produce the cropping. Some other pdf makers also get the cropping.
Comment 29 ign_christian 2013-06-22 10:22:13 UTC
> @ign_christian : the bug happens only when printing to some printer and/or
> pdf makers. Printing to Adobe PDF (part of acrobat) does not produce cropped
> edges. But printing directly to various laser printers (I've tried a few
> from HP and one from Samsung) does produce the cropping. Some other pdf
> makers also get the cropping.

I think that should be a bug with the PDF makers :)
Adobe Acrobat as the industry standard can't reproduce that bug (PDFcreator that I used also can't reproduce), so that should be ok with LO.

In fact at the moment, may be, not all printers do the job well with LO. At least if you inform what kind of printer did wrong, perhaps someone here could do investigating & trying to fix that compatibility issue. Also attach your troubled file so anyone could test.

If you mind, you could try again using latest 4.0.4 release (I don't know if related, I think "Fit object to paper format" in Page Setup should be marked). Perhaps it satisfy you :-)
Comment 30 ade2 2013-06-22 12:15:46 UTC
@ign_christian: 
I already tried it in 4.0.4.2 before posting my previous reply to you. The bug is still there.

hardware that produces the bug:
samsung ml-1675
samsung ml-2165
hp laserjet 1005
hp laserjet pro p1102

pdf maker software that produces the bug:
pdffactory pro

As I wrote in the first post 2011-03-13 the "fit to paper size" option does not solve  the problem.

Please not that this bug was created some time after OpenOffice 3.2. Before there was no bug in either the software or hardware I tested with. Whatever changes where made to the printing code right after that is what is causing the problem.
Comment 31 ade2 2014-04-26 21:53:09 UTC
this bug is still there in the latest LO. Consider fixing this for 4.3.
Comment 32 Joel Madero 2014-11-04 03:06:47 UTC
Never confirmed by QA team - marking as UNCONFIRMED. REOPENED is saved for bugs that are marked as FIXED by a developer and is assigned to that developer.
Comment 33 Cor Nouws 2014-11-04 08:58:51 UTC
(In reply to Joel Madero from comment #32)
> Never confirmed by QA team - 

Are you sure? Pls see my comments 8, 9 and 10 ..
Comment 34 Joel Madero 2014-11-04 15:13:12 UTC
I don't see comment 8 or comment 9 as confirming - if it is confirmed by an independent person - please set to NEW not REOPENED.
Comment 35 Cor Nouws 2014-11-04 15:45:47 UTC
as per comment 10
Comment 36 QA Administrators 2015-12-20 16:05:16 UTC Comment hidden (obsolete)
Comment 37 QA Administrators 2017-01-03 19:45:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103